Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -6322,21 +5844,17 @@
 
                 IF ( j == 0 )  THEN
-                   CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),  &
-                                           TRIM( dopts_label(i) ) // suffix,  &
-                                           nc_precision(6), id_var_dopts(i,j), &
-                                           TRIM( dopts_unit(i) ),              &
-                                           TRIM( dopts_label(i) ), 400, 401,   &
-                                           402 )
+                   CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),                      &
+                                           TRIM( dopts_label(i) ) // suffix, nc_precision(6),      &
+                                           id_var_dopts(i,j), TRIM( dopts_unit(i) ),               &
+                                           TRIM( dopts_label(i) ), 400, 401, 402 )
                 ELSE
-                   CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),  &
-                                           TRIM( dopts_label(i) ) // suffix,  &
-                                           nc_precision(6), id_var_dopts(i,j), &
-                                           TRIM( dopts_unit(i) ),              &
-                                           TRIM( dopts_label(i) ) // ' PG ' // &
-                                           suffix(2:3), 400, 401, 402 )
+                   CALL netcdf_create_var( id_set_pts, (/ id_dim_time_pts /),                      &
+                                           TRIM( dopts_label(i) ) // suffix, nc_precision(6),      &
+                                           id_var_dopts(i,j), TRIM( dopts_unit(i) ),               &
+                                           TRIM( dopts_label(i) ) // ' PG ' // suffix(2:3),        &
+                                           400, 401, 402 )
                 ENDIF
 
-                var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // &
-                           suffix // ';'
+                var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // suffix // ';'
 
                 IF ( number_of_particle_groups == 1 )  EXIT
@@ -6347,8 +5865,6 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs)
-          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs)
+          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 403 )
 
@@ -6364,9 +5880,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_pts, NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 405 )
 
@@ -6383,6 +5897,5 @@
                 ENDIF
 
-                var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // &
-                           suffix // ';'
+                var_list = TRIM( var_list ) // TRIM( dopts_label(i) ) // suffix // ';'
 
                 IF ( number_of_particle_groups == 1 )  EXIT
@@ -6393,9 +5906,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for particle time series ' //       &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended due to' //    &
-                              ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for particle time series ' //                           &
+                              'from previous run found,' //                                        &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0267', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -6404,33 +5916,29 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is dots..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is dots..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_pts, 'time', id_var_time_pts )
           CALL netcdf_handle_error( 'netcdf_define_header', 406 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_pts, id_var_time_pts, &
-                                           dimids = id_dim_time_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_pts, id_var_time_pts, dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 407 )
           id_dim_time_pts = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_pts, id_dim_time_pts, &
-                                            len = dopts_time_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_pts, id_dim_time_pts, LEN = dopts_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 408 )
 
-          nc_stat = NF90_GET_VAR( id_set_pts, id_var_time_pts,    &
-                                  last_time_coordinate,           &
-                                  start = (/ dopts_time_count /), &
+          nc_stat = NF90_GET_VAR( id_set_pts, id_var_time_pts,                                     &
+                                  last_time_coordinate,                                            &
+                                  start = (/ dopts_time_count /),                                  &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 409 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for particle time series ' //       &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for particle time series ' //                           &
+                              'from previous run found,' //                                        &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output ' // 'time on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0268', 0, 1, 0, 6, 0 )
@@ -6456,6 +5964,5 @@
                 netcdf_var_name = TRIM( dopts_label(i) ) // suffix
 
-                nc_stat = NF90_INQ_VARID( id_set_pts, netcdf_var_name, &
-                                          id_var_dopts(i,j) )
+                nc_stat = NF90_INQ_VARID( id_set_pts, netcdf_var_name, id_var_dopts(i,j) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 410 )
 
@@ -6467,19 +5974,16 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           nc_stat = NF90_REDEF( id_set_pts )
           CALL netcdf_handle_error( 'netcdf_define_header', 443 )
-          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title',            &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_pts, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 411 )
           nc_stat = NF90_ENDDEF( id_set_pts )
           CALL netcdf_handle_error( 'netcdf_define_header', 444 )
-          message_string = 'netCDF file for particle time series ' //          &
-                           'from previous run found.' //                       &
+          message_string = 'netCDF file for particle time series ' // 'from previous run found.' //&
                            '&This file will be extended.'
           CALL message( 'netcdf_define_header', 'PA0269', 0, 0, 0, 6, 0 )
@@ -6490,37 +5994,30 @@
 !
 !--       Define some global attributes of the dataset
-          nc_stat = NF90_PUT_ATT( id_set_fl, NF90_GLOBAL, 'title',             &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_fl, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 249 )
 
 !
-!--       Define time and location coordinates for flight space-time series
-!--       (unlimited dimension)
+!--       Define time and location coordinates for flight space-time series (unlimited dimension).
 !--       Error number must still be set appropriately.
-          CALL netcdf_create_dim( id_set_fl, 'time', NF90_UNLIMITED,           &
-                                  id_dim_time_fl, 250 )
-          CALL netcdf_create_var( id_set_fl, (/ id_dim_time_fl /), 'time',     &
-                                  NF90_DOUBLE, id_var_time_fl, 'seconds', 'time',  &
-                                  251, 252, 000 )
+          CALL netcdf_create_dim( id_set_fl, 'time', NF90_UNLIMITED, id_dim_time_fl, 250 )
+          CALL netcdf_create_var( id_set_fl, (/ id_dim_time_fl /), 'time', NF90_DOUBLE,            &
+                                  id_var_time_fl, 'seconds', 'time', 251, 252, 000 )
           CALL netcdf_create_att( id_set_fl, id_var_time_fl, 'standard_name', 'time', 000)
           CALL netcdf_create_att( id_set_fl, id_var_time_fl, 'axis', 'T', 000)
 
           DO l = 1, num_leg
-             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_x(l),           &
-                                     NF90_UNLIMITED, id_dim_x_fl(l), 250 )
-             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_y(l),           &
-                                     NF90_UNLIMITED, id_dim_y_fl(l), 250 )
-             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_z(l),           &
-                                     NF90_UNLIMITED, id_dim_z_fl(l), 250 )
-
-             CALL netcdf_create_var( id_set_fl, (/ id_dim_x_fl(l) /),          &
-                                     dofl_dim_label_x(l), NF90_DOUBLE,         &
-                                     id_var_x_fl(l), 'm', '', 251, 252, 000 )
-             CALL netcdf_create_var( id_set_fl, (/ id_dim_y_fl(l) /),          &
-                                     dofl_dim_label_y(l), NF90_DOUBLE,         &
-                                     id_var_y_fl(l), 'm', '', 251, 252, 000 )
-             CALL netcdf_create_var( id_set_fl, (/ id_dim_z_fl(l) /),          &
-                                     dofl_dim_label_z(l), NF90_DOUBLE,         &
-                                     id_var_z_fl(l), 'm', '', 251, 252, 000 )
+             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_x(l), NF90_UNLIMITED,               &
+                                     id_dim_x_fl(l), 250 )
+             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_y(l), NF90_UNLIMITED,               &
+                                     id_dim_y_fl(l), 250 )
+             CALL netcdf_create_dim( id_set_fl, dofl_dim_label_z(l), NF90_UNLIMITED,               &
+                                     id_dim_z_fl(l), 250 )
+
+             CALL netcdf_create_var( id_set_fl, (/ id_dim_x_fl(l) /), dofl_dim_label_x(l),         &
+                                     NF90_DOUBLE, id_var_x_fl(l), 'm', '', 251, 252, 000 )
+             CALL netcdf_create_var( id_set_fl, (/ id_dim_y_fl(l) /), dofl_dim_label_y(l),         &
+                                     NF90_DOUBLE, id_var_y_fl(l), 'm', '', 251, 252, 000 )
+             CALL netcdf_create_var( id_set_fl, (/ id_dim_z_fl(l) /), dofl_dim_label_z(l),         &
+                                     NF90_DOUBLE, id_var_z_fl(l), 'm', '', 251, 252, 000 )
           ENDDO
 !
@@ -6531,8 +6028,6 @@
              DO i = 1, num_var_fl
 
-                CALL netcdf_create_var( id_set_fl, (/ id_dim_time_fl /),       &
-                                        dofl_label(k), nc_precision(9),        &
-                                        id_var_dofl(k),                        &
-                                        TRIM( dofl_unit(k) ),                  &
+                CALL netcdf_create_var( id_set_fl, (/ id_dim_time_fl /), dofl_label(k),            &
+                                        nc_precision(9), id_var_dofl(k), TRIM( dofl_unit(k) ),     &
                                         TRIM( dofl_label(k) ), 253, 254, 255 )
 
@@ -6544,6 +6039,5 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs)
+!--       Write the list of variables as global attribute (this is used by restart runs).
           nc_stat = NF90_PUT_ATT( id_set_fl, NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 258 )
@@ -6559,9 +6053,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_fl, NF90_GLOBAL, 'VAR_LIST',          &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_fl, NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 260 )
 
@@ -6575,9 +6067,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for flight time series ' //         &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended due to' //    &
-                              ' variable mismatch.' //                         &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for flight time series ' //                             &
+                              'from previous run found,' //                                        &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0257', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -6586,33 +6077,29 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is dofl_time_count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is dofl_time_count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_fl, 'time', id_var_time_fl )
           CALL netcdf_handle_error( 'netcdf_define_header', 261 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_fl, id_var_time_fl,          &
-                                           dimids = id_dim_time_old )
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_fl, id_var_time_fl, dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 262 )
           id_dim_time_fl = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_fl, id_dim_time_fl,         &
-                                            len = dofl_time_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_fl, id_dim_time_fl, LEN = dofl_time_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 263 )
 
-          nc_stat = NF90_GET_VAR( id_set_fl, id_var_time_fl,        &
-                                  last_time_coordinate,             &
-                                  start = (/ dofl_time_count /), &
+          nc_stat = NF90_GET_VAR( id_set_fl, id_var_time_fl,                                       &
+                                  last_time_coordinate,                                            &
+                                  start = (/ dofl_time_count /),                                   &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 264 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for flight-time series ' //         &
-                              'from previous run found,' //                    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for flight-time series ' //                             &
+                              'from previous run found,' //                                        &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                                        &
+                              '&is less or equal than the last output ' // 'time on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0258', 0, 1, 0, 6, 0 )
@@ -6624,14 +6111,11 @@
 !
 !--       Dataset seems to be extendable.
-!--       Now get the remaining dimension and variable ids
+!--       Now get the remaining dimension and variable ids.
           DO l = 1, num_leg
-             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_x(l),         &
-                                       id_var_x_fl(l) )
+             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_x(l), id_var_x_fl(l) )
              CALL netcdf_handle_error( 'netcdf_define_header', 265 )
-             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_y(l),         &
-                                       id_var_y_fl(l) )
+             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_y(l), id_var_y_fl(l) )
              CALL netcdf_handle_error( 'netcdf_define_header', 265 )
-             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_z(l),         &
-                                       id_var_z_fl(l) )
+             nc_stat = NF90_INQ_VARID( id_set_fl, dofl_dim_label_z(l), id_var_z_fl(l) )
              CALL netcdf_handle_error( 'netcdf_define_header', 265 )
 
@@ -6641,6 +6125,5 @@
           DO  i = 1, num_leg * num_var_fl
 
-            nc_stat = NF90_INQ_VARID( id_set_fl, dofl_label(i), &
-                                       id_var_dofl(i) )
+            nc_stat = NF90_INQ_VARID( id_set_fl, dofl_label(i), id_var_dofl(i) )
             CALL netcdf_handle_error( 'netcdf_define_header', 265 )
 
@@ -6648,19 +6131,16 @@
 
 !
-!--       Update the title attribute on file
-!--       In order to avoid 'data mode' errors if updated attributes are larger
-!--       than their original size, NF90_PUT_ATT is called in 'define mode'
-!--       enclosed by NF90_REDEF and NF90_ENDDEF calls. This implies a possible
-!--       performance loss due to data copying; an alternative strategy would be
-!--       to ensure equal attribute size in a job chain. Maybe revise later.
+!--       Update the title attribute on file.
+!--       In order to avoid 'data mode' errors if updated attributes are larger than their original
+!--       size, NF90_PUT_ATT is called in 'define mode' enclosed by NF90_REDEF and NF90_ENDDEF
+!--       calls. This implies a possible performance loss due to data copying; an alternative
+!--       strategy would be to ensure equal attribute size in a job chain. Maybe revise later.
           nc_stat = NF90_REDEF( id_set_fl )
           CALL netcdf_handle_error( 'netcdf_define_header', 439 )
-          nc_stat = NF90_PUT_ATT( id_set_fl, NF90_GLOBAL, 'title',             &
-                                  TRIM( run_description_header ) )
+          nc_stat = NF90_PUT_ATT( id_set_fl, NF90_GLOBAL, 'title', TRIM( run_description_header ) )
           CALL netcdf_handle_error( 'netcdf_define_header', 267 )
           nc_stat = NF90_ENDDEF( id_set_fl )
           CALL netcdf_handle_error( 'netcdf_define_header', 440 )
-          message_string = 'netCDF file for flight-time series ' //            &
-                           'from previous run found.' //                       &
+          message_string = 'netCDF file for flight-time series ' // 'from previous run found.' //  &
                            '&This file will be extended.'
           CALL message( 'define_netcdf_header', 'PA0259', 0, 0, 0, 6, 0 )
@@ -6678,11 +6158,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Creates a netCDF file and give back the id. The parallel flag has to be TRUE
-!> for parallel netCDF output support.
-!------------------------------------------------------------------------------!
-
+!> Creates a netCDF file and give back the id. The parallel flag has to be TRUE for parallel netCDF
+!> output support.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_create_file( filename , id, parallel, errno )
 #if defined( __netcdf )
@@ -6693,7 +6172,9 @@
 
     CHARACTER (LEN=*), INTENT(IN) :: filename
+
     INTEGER, INTENT(IN)           :: errno
     INTEGER, INTENT(OUT)          :: id
     INTEGER                       :: idum  !< dummy variable used to avoid compiler warnings about unused variables
+
     LOGICAL, INTENT(IN)           :: parallel
 
@@ -6712,21 +6193,19 @@
 !
 !--    64bit-offset format
-       nc_stat = NF90_CREATE( filename,                                        &
-                              IOR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ), id )
+       nc_stat = NF90_CREATE( filename, IOR( NF90_NOCLOBBER, NF90_64BIT_OFFSET ), id )
 
 #if defined( __netcdf4 )
-    ELSEIF ( netcdf_data_format == 3  .OR.                                     &
-             ( .NOT. parallel  .AND.  netcdf_data_format == 5 ) )  THEN
+    ELSEIF ( netcdf_data_format == 3  .OR.  ( .NOT. parallel  .AND.  netcdf_data_format == 5 ) )   &
+    THEN
 !
 !--    netCDF4/HDF5 format
        nc_stat = NF90_CREATE( filename, IOR( NF90_NOCLOBBER, NF90_NETCDF4 ), id )
 
-    ELSEIF ( netcdf_data_format == 4  .OR.                                     &
-             ( .NOT. parallel  .AND.  netcdf_data_format == 6 ) )  THEN
+    ELSEIF ( netcdf_data_format == 4  .OR.  ( .NOT. parallel  .AND.  netcdf_data_format == 6 ) )   &
+    THEN
 !
 !--    netCDF4/HDF5 format with classic model flag
-       nc_stat = NF90_CREATE( filename,                                        &
-                              IOR( NF90_NOCLOBBER,                             &
-                              IOR( NF90_CLASSIC_MODEL, NF90_HDF5 ) ), id )
+       nc_stat = NF90_CREATE( filename,                                                            &
+                              IOR( NF90_NOCLOBBER, IOR( NF90_CLASSIC_MODEL, NF90_HDF5 ) ), id )
 
 #if defined( __netcdf4_parallel )
@@ -6734,7 +6213,5 @@
 !
 !--    netCDF4/HDF5 format, parallel
-       nc_stat = NF90_CREATE( filename,                                        &
-                              IOR( NF90_NOCLOBBER,                             &
-                              IOR( NF90_NETCDF4, NF90_MPIIO ) ),               &
+       nc_stat = NF90_CREATE( filename, IOR( NF90_NOCLOBBER, IOR( NF90_NETCDF4, NF90_MPIIO ) ),    &
                               id, COMM = comm2d, INFO = MPI_INFO_NULL )
 
@@ -6742,8 +6219,7 @@
 !
 !--    netCDF4/HDF5 format with classic model flag, parallel
-       nc_stat = NF90_CREATE( filename,                                        &
-                              IOR( NF90_NOCLOBBER,                             &
-                              IOR( NF90_MPIIO,                                 &
-                              IOR( NF90_CLASSIC_MODEL, NF90_HDF5 ) ) ),        &
+       nc_stat = NF90_CREATE( filename,                                                            &
+                              IOR( NF90_NOCLOBBER,                                                 &
+                                   IOR( NF90_MPIIO, IOR( NF90_CLASSIC_MODEL, NF90_HDF5 ) ) ),      &
                               id, COMM = comm2d, INFO = MPI_INFO_NULL )
 
@@ -6756,10 +6232,10 @@
  END SUBROUTINE netcdf_create_file
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Opens an existing netCDF file for writing and gives back the id.
 !> The parallel flag has to be TRUE for parallel netCDF output support.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_open_write_file( filename, id, parallel, errno )
 #if defined( __netcdf )
@@ -6770,4 +6246,5 @@
 
     CHARACTER (LEN=*), INTENT(IN) :: filename
+
     INTEGER, INTENT(IN)           :: errno
     INTEGER, INTENT(OUT)          :: id
@@ -6780,6 +6257,6 @@
 #if defined( __netcdf4_parallel )
     ELSEIF ( netcdf_data_format > 4  .AND.  parallel )  THEN
-       nc_stat = NF90_OPEN( filename, IOR( NF90_WRITE, NF90_MPIIO ), id,  &
-                            COMM = comm2d, INFO = MPI_INFO_NULL )
+       nc_stat = NF90_OPEN( filename, IOR( NF90_WRITE, NF90_MPIIO ), id, COMM = comm2d,            &
+                            INFO = MPI_INFO_NULL )
 #endif
 #endif
@@ -6791,15 +6268,14 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Prints out a text message corresponding to the current status.
-!------------------------------------------------------------------------------!
-
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE netcdf_handle_error( routine_name, errno )
 #if defined( __netcdf )
 
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  message_string
 
@@ -6811,4 +6287,5 @@
     INTEGER(iwp) ::  errno
 
+
     IF ( nc_stat /= NF90_NOERR )  THEN
 
@@ -6825,11 +6302,11 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Create a dimension in NetCDF file
-!------------------------------------------------------------------------------!
-
- SUBROUTINE netcdf_create_dim(ncid, dim_name, ncdim_type, ncdim_id, error_no)
+!--------------------------------------------------------------------------------------------------!
+
+ SUBROUTINE netcdf_create_dim( ncid, dim_name, ncdim_type, ncdim_id, error_no )
 
 #if defined( __netcdf )
@@ -6856,13 +6333,12 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Create a one dimensional variable in specific units in NetCDF file
-!------------------------------------------------------------------------------!
-
- SUBROUTINE netcdf_create_var( ncid, dim_id, var_name, var_type, var_id,       &
-                               unit_name, long_name, error_no1, error_no2,     &
-                               error_no3, fill )
+!--------------------------------------------------------------------------------------------------!
+
+ SUBROUTINE netcdf_create_var( ncid, dim_id, var_name, var_type, var_id, unit_name, long_name,     &
+                               error_no1, error_no2, error_no3, fill )
 
 #if defined( __netcdf )
@@ -6872,6 +6348,4 @@
     CHARACTER(LEN=*), INTENT(IN) ::  unit_name
     CHARACTER(LEN=*), INTENT(IN) ::  var_name
-
-    LOGICAL, OPTIONAL ::  fill  !< indicates setting of _FillValue attribute
 
     INTEGER, INTENT(IN)  ::  error_no1
@@ -6884,4 +6358,7 @@
     INTEGER, DIMENSION(:), INTENT(IN) ::  dim_id
 
+    LOGICAL, OPTIONAL ::  fill  !< indicates setting of _FillValue attribute
+
+
 !
 !-- Define variable
@@ -6891,6 +6368,6 @@
 #if defined( __netcdf4 )
 !
-!-- Check if variable should be deflate (including shuffling)
-!-- and if it is possible (only NetCDF4 with HDF5 supports compression)
+!-- Check if variable should be deflate (including shuffling) and if it is possible (only NetCDF4
+!-- with HDF5 supports compression).
     IF ( netcdf_data_format > 2  .AND.  netcdf_deflate > 0 )  THEN
        nc_stat = NF90_DEF_VAR_DEFLATE( ncid, var_id, 1, 1, netcdf_deflate )
